id: 4
createtime: 2023-10-16T06:30:39.228123212Z
name: test-app.3.windup
addon: analyzer
data:
    mode:
        artifact: ""
        binary: false
        diva: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included: []
        path: ""
        repository:
            branch: rules_file
            kind: git
            path: ""
            url: https://github.com/mguetta1/book-server
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
application:
    id: 3
    name: test-app
state: Succeeded
image: registry.redhat.io/mta/mta-analyzer-addon-rhel9@sha256:4238e1d64fb74401a328aa598ec163dbc911334ff11896d2d217768ab349276a
pod: openshift-mta/task-4-cjk5h
started: 2023-10-16T06:30:39.414189636Z
terminated: 2023-10-16T06:32:15.251065972Z
bucket:
    id: 83
    name: ""
activity:
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
    - '[GIT] Using credentials (id=23) mguetta.'
    - '[FILE] Created /addon/.gitconfig.'
    - '[FILE] Created /addon/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone https://github.com/konveyor/tackle-testapp /addon/source/tackle-testapp'
    - '[CMD] succeeded.'
    - '[GIT] Cloning: https://github.com/mguetta1/book-server'
    - '[CMD] Running: /usr/bin/git clone https://github.com/mguetta1/book-server /addon/rules/repository'
    - '[CMD] succeeded.'
    - '[CMD] Running: /usr/bin/git checkout rules_file'
    - '[CMD] succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/converted /addon/rules'
    - '[CMD] succeeded.'
    - 'Settings: /addon/opt/settings.json'
    - '> - name: go'
    - '>   binaryPath: /usr/bin/generic-external-provider'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp'
    - '>     analysisMode: full'
    - '>     providerSpecificConfig:'
    - '>       dependencyProviderPath: /usr/bin/golang-dependency-provider'
    - '>       lspServerPath: /root/go/bin/gopls'
    - '>       name: go'
    - '> - name: java'
    - '>   binaryPath: /jdtls/bin/jdtls'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp'
    - '>     analysisMode: source-only'
    - '>     providerSpecificConfig:'
    - '>       bundles: /jdtls/java-analyzer-bundle/java-analyzer-bundle.core/target/java-analyzer-bundle.core.jar'
    - '>       depOpenSourceLabelsFile: /usr/local/etc/maven.default.index'
    - '>       lspServerPath: /jdtls/bin/jdtls'
    - '> - name: builtin'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp'
    - '>     analysisMode: ""'
    - '> '
    - '[CMD] Running: /usr/bin/konveyor-analyzer --provider-settings /addon/opt/settings.json --output-file /addon/report.yaml --no-dependency-rules --rules /addon/rules/repository --rules /addon/rules/converted --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] succeeded.'
    - '[CMD] Running: /usr/bin/konveyor-analyzer-dep --provider-settings /addon/opt/settings.json --output-file /addon/deps.yaml'
    - '[CMD] succeeded.'
    - 'Analysis reported. duration: 240.708367ms'
    - '[TAG] Tagging Application 3.'
    - Facts updated.
    - Done.
